{% stories right_sidebar with {
    title: 'Landmarks/Right Sidebar',
    argTypes: {
      title: {
        control: { type: "text" },
      },
      hideSidebarItems: {
        control: { type: "boolean" },
      }
    }
  }
%}

  {% story right_sidebar_1 with
    {
      name: '1. Default',
      args: {
        title: 'Page title',
        hideSidebarItems: false,

        sidebar_title: 'Sidebar field item',
        sidebar_content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',

        block_1_title: 'Block test 1',
        block_1_content: 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.',

        block_2_title: 'Block test 2',
        block_2_content: 'Nullam nec turpis et arcu egestas commodo. Integer sit amet metus non tortor et metus mollis interdum.',

        block_3_title: 'Contact',
        block_3_content: '<p>42 Trinity Close</p>
                          <p>Cambridge</p>
                          <p>CB3 9XY</p>
                          <p>United Kingdom</p>'
      }
    }
  %}

    {% if not hideSidebarItems %}
      {% set sidebar_items = {
        "field_items": [
          {
            "#theme": "cambridge_tailwind_block_sidebar",
            "#title": sidebar_title,
            "#content": {
              "#type": "markup",
              "#markup": sidebar_content
            }
          }
        ],
        "blocks": {
          "cambridge_tailwind_blocktest_1": {
            "#theme": "cambridge_tailwind_block_sidebar",
            "#title": block_1_title,
            "#content": {
              "#type": "markup",
              "#markup": block_1_content
            }
          },
          "cambridge_tailwind_blocktest_2": {
            "#theme": "cambridge_tailwind_block_sidebar",
            "#title": block_2_title,
            "#content": {
              "#type": "markup",
              "#markup": block_2_content
            }
          },
          "cambridge_tailwind_blocktest_3": {
            "#theme": "cambridge_tailwind_block_sidebar",
            "#title": block_3_title,
            "#content": {
              "#type": "markup",
              "#markup": block_3_content
            }
          }
        }
      } %}
    {% endif %}

    {% include '@cambridge_tailwind/components/content/page/page.twig' with {
      title: title,
      top_content: null,
      paragraphs: null,
      content: null,
      bottom_paragraphs: null,
      sidebar_items: sidebar_items
    } %}

  {% endstory %}

{% endstories %}
